Delete signing key
DELETE /v1/endpoints/{id}/signing-keys/{keyId}
DELETE
/v1/endpoints/{id}/signing-keys/{keyId}
Delete an endpoint signing key. You cannot delete the last remaining key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000 keyId
required
string
Signing key ID in sk_ format
Responses
Section titled “ Responses ”Signing key deleted successfully
Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Conflict - action cannot be completed
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Examples
Maximum signing keys reached
{ "error": { "code": "MAX_SIGNING_KEYS_REACHED", "message": "Endpoint already has the maximum of 2 signing keys" }, "meta": { "request_id": "req_xyz123" }}Cannot delete last signing key
{ "error": { "code": "CANNOT_DELETE_LAST_SIGNING_KEY", "message": "Cannot delete the last signing key" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.